comics.py crashed with GError in __init__()

Bug #552376 reported by Thomas N on 2010-03-31
54
This bug affects 9 people
Affects Status Importance Assigned to Milestone
awn-extras-applets (Ubuntu)
Medium
Julien Lavergne

Bug Description

Don't know why it crashes but it does. If I click the sorry face with X:es for eyes (to restart) it crashes again.

ProblemType: Crash
DistroRelease: Ubuntu 10.04
Package: awn-applets-python-core 0.4.0~rc1-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.32-18.27-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-18-generic i686
NonfreeKernelModules: nvidia
Architecture: i386
Date: Wed Mar 31 09:21:05 2010
EcryptfsInUse: Yes
ExecutablePath: /usr/share/avant-window-navigator/applets/comics/comics.py
InterpreterPath: /usr/bin/python2.6
PackageArchitecture: all
ProcCmdline: python /usr/share/avant-window-navigator/applets/comics/comics.py --uid=1268735536 --window=48234546 --panel-id=1
ProcEnviron:
 PATH=(custom, user)
 LANG=en_DK.utf8
 SHELL=/bin/bash
PythonArgs: ['/usr/share/avant-window-navigator/applets/comics/comics.py', '--uid=1268735536', '--window=48234546', '--panel-id=1']
SourcePackage: awn-extras-applets
Title: comics.py crashed with GError in __init__()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare vboxusers

Looking at the traceback this one seems pretty obvious...

tags: removed: need-duplicate-check
Julien Lavergne (gilir) on 2010-03-31
visibility: private → public
Julien Lavergne (gilir) wrote :

Yes pretty :)
Thanks for the bug report, I'll fix it in the next upload.

Changed in awn-extras-applets (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Julien Lavergne (gilir)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package awn-extras-applets - 0.4.0-0ubuntu1

---------------
awn-extras-applets (0.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release.
   - Close cairo-menu after a click (LP: #511256)
   - Fix crash of awn-system-monitor (LP: #545164)
   - Fix crash when removing a volume >1 or adding volume >1 or using prefs
     while > 1 volumes is present (LP: #556175)
   - Fix crash of media-control when Rhythmbox quit (LP: #558463)
   - Fix crash of file-browser-launcher when there is no .gtk-bookmarks
     (LP: #551119)
  * debian/awn-c-extras.install:
   - Install icons and ini files for webapplets
  * debian/awn-python-core.install:
   - Install ui file for comics (LP: #552376)
  * debian/patches:
   - 03-remove-cairo-menu-pref.patch: Merged upstream.
   - 04-tomboy-threading-free.patch: Merged upstream.
 -- Julien Lavergne <email address hidden> Sun, 11 Apr 2010 22:38:55 +0200

Changed in awn-extras-applets (Ubuntu):
status: In Progress → Fix Released

I'm still getting the same errors.

Sean

On 04/11/2010 03:00 PM, Launchpad Bug Tracker wrote:
> This bug was fixed in the package awn-extras-applets - 0.4.0-0ubuntu1
>
> ---------------
> awn-extras-applets (0.4.0-0ubuntu1) lucid; urgency=low
>
> * New upstream release.
> - Close cairo-menu after a click (LP: #511256)
> - Fix crash of awn-system-monitor (LP: #545164)
> - Fix crash when removing a volume >1 or adding volume >1 or using prefs
> while > 1 volumes is present (LP: #556175)
> - Fix crash of media-control when Rhythmbox quit (LP: #558463)
> - Fix crash of file-browser-launcher when there is no .gtk-bookmarks
> (LP: #551119)
> * debian/awn-c-extras.install:
> - Install icons and ini files for webapplets
> * debian/awn-python-core.install:
> - Install ui file for comics (LP: #552376)
> * debian/patches:
> - 03-remove-cairo-menu-pref.patch: Merged upstream.
> - 04-tomboy-threading-free.patch: Merged upstream.
> -- Julien Lavergne <email address hidden> Sun, 11 Apr 2010 22:38:55 +0200
>
> ** Changed in: awn-extras-applets (Ubuntu)
> Status: In Progress => Fix Released
>

Seems to be fixed on my system.

@Sean Whitney: Did you have the latest version (0.4.0-0ubuntu1)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers